commit:     b0873bd368fbf28c94a128fb6e1795ea2423f63c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 14 10:16:29 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 14 12:26:28 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0873bd3

dev-python/aiohttp: Fix tests

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/aiohttp/aiohttp-3.4.4.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/dev-python/aiohttp/aiohttp-3.4.4.ebuild 
b/dev-python/aiohttp/aiohttp-3.4.4.ebuild
index 2cd4b9b624e..ec6ebeb0b47 100644
--- a/dev-python/aiohttp/aiohttp-3.4.4.ebuild
+++ b/dev-python/aiohttp/aiohttp-3.4.4.ebuild
@@ -15,6 +15,7 @@ LICENSE="Apache-2.0"
 SLOT="0"
 KEYWORDS="~amd64 ~arm ~arm64 ~x86"
 IUSE="doc test"
+RESTRICT="!test? ( test )"
 
 CDEPEND="
        >=dev-python/async_timeout-3.0.0[${PYTHON_USEDEP}]
@@ -57,6 +58,8 @@ python_prepare_all() {
        sed -e 's:test_compression_brotli:_\0:' \
                -e 's:test_feed_eof_no_err_brotli:_\0:' \
                -i tests/test_http_parser.py || die
+       # make pytest warnings non-fatal, to unbreak tests
+       sed -i -e '/filterwarnings/d' setup.cfg || die
 
        distutils-r1_python_prepare_all
 }
@@ -66,7 +69,7 @@ python_compile_all() {
 }
 
 python_test() {
-       esetup.py test
+       pytest -vv || die "Tests fail with ${EPYTHON}"
 }
 
 python_install_all() {

Reply via email to